LOCALIZE(1)

NAME
localize -- produce Interchange localization file from set of pages

VERSION
# $Id: localize.PL,v 2.11 2007-08-09 13:40:57 pajamian Exp $

SYNOPSIS
"localize -l lg_CC [-d lg_CC] [-m file|-t] file [file2 file3 ...]"

DESCRIPTION
Helps manage Interchange pages by finding, adding, and merging localization strings.

OPTIONS

"-c"
    Rewrite [L] sections with [LC]text[do_DO]text[/do_dO], adjust file and data -- mutually exclusive with "-o".

"-d lg_CC"
    Create default domain file with Locale lg_CC as prefix

"-l lg_CC"
    Create file with Locale lg_CC as prefix. This is mandatory unless in -c mode with "-m" option.

"-m file"
    Read existing information to merge from <file>. Can contain multiple locales.

"-M"
    When in "-c" mode, prefix MM_ to make minimate_compatible; when in regular mode, strip MM_ from [LC] defs

"-n"
    Don't write comments in the output.

"-o"
    Rewrite [L] sections with [L msgNNNN], adjust file and data. Mutually exclusive with "-c".

"-t"
    Two page mode, mutually exclusive with "-m."

"-u dir"
    Directory with (UI) menu database files, e.g. "/usr/lib/interchange/lib/UI/pages/includes/menus". This can be used to include the menu titles in the output.

lg_CC refers to the POSIX norm of specifying two-letter language and country codes to refer to a locale.

Two-page mode requires two files (one for each language) to compare and merge into one locale definition.

The merge file for the "-m" option should use the Perl reference form -- see the Interchange documentation for more information.

If [L msg_key]default text[/L] keys are found, will produce a comment with the default text for reference.

A backup file (filename.html.bak) is saved if "-o" is used, but only one level. Subsequent .bak files will be overwritten.

SEE ALSO
http://www.icdevgroup.org/

AUTHOR
Mike Heins and Stefan Hornburg